API / Reference / Credit Notes
Update clearing amount
PATCH
https://api.light.inc/v1/credit-notes/{creditNoteId}/invoice-payables/{invoicePayableId}
Updates the clearing amount of a linked invoice payable
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
creditNoteIdstring · uuidrequired -
invoicePayableIdstring · uuidrequired
Request body
application/json;charset=UTF-8
-
amountinteger · int64Updated amount to clear in cents
Response
-
companyIdstring · uuidID of the company
-
creditNoteobjectInvoice payable details
-
idstring · uuidUnique identifier for the object
-
documentNumberstringDocument number
-
documentDatestring · dateDate the accounting document was issued
-
statusstringStatus of the accounting document
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DRAFTAPPROVAL_PENDINGAPPROVEDPOSTEDPARTIALLY_CLEAREDCLEAREDARCHIVED -
amountinteger · int64The amount of the accounting document in cents
-
currencystring
-
-
invoicePayableobjectInvoice payable details
-
idstring · uuidUnique identifier for the object
-
documentNumberstringDocument number
-
documentDatestring · dateDate the accounting document was issued
-
statusstringStatus of the accounting document
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DRAFTAPPROVAL_PENDINGAPPROVEDPOSTEDPARTIALLY_CLEAREDCLEAREDARCHIVED -
amountinteger · int64The amount of the accounting document in cents
-
currencystring
-
-
amountinteger · int64Clearing amount in cents
-
currencystring -
createdAtstring · date-timeTimestamp when the link was created
-
updatedAtstring · date-timeTimestamp when the link was last updated